GET https://external-api.lia.com.br/external_api/v1/payment_configurations/default
Example request
curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/payment_configurations/default' \
--header 'Authorization: Bearer token'
Example response
The response lists every enabled configuration of your company. There can be more than one entry per payment type, one per offer amount range: an offer uses the entry with the lowest max_amount_cents that is at least its amount, and 2147483647 means no upper limit. Each upfront configuration is returned once per payment method, with the same id.
[
{
"allowed_down_payment_methods": [],
"availability": "enabled",
"down_payment_interest_rate": null,
"down_payment_type": null,
"down_payment_value": 0.0,
"expires_in": 12,
"fee_embedded_in_down_payment": false,
"financed_type": null,
"id": "470dbfa0-fbb0-5a5a-b9b7-7c35decad214",
"interest_rate": "0.0",
"max_amount_cents": 2147483647,
"max_down_payment_installments": null,
"max_installments": 1,
"min_installment_amount_cents": 5000,
"payment_methods": [
"pix"
],
"payment_type": "upfront",
"registration_fee": 0.0,
"take_rate_type": "absolute",
"take_rate_value": "297.0"
},
{
"allowed_down_payment_methods": [],
"availability": "enabled",
"down_payment_interest_rate": null,
"down_payment_type": null,
"down_payment_value": 0.0,
"expires_in": 12,
"fee_embedded_in_down_payment": false,
"financed_type": null,
"id": "470dbfa0-fbb0-5a5a-b9b7-7c35decad214",
"interest_rate": "0.028",
"max_amount_cents": 2147483647,
"max_down_payment_installments": null,
"max_installments": 12,
"min_installment_amount_cents": 5000,
"payment_methods": [
"credit_card"
],
"payment_type": "upfront",
"registration_fee": 0.0,
"take_rate_type": "percentage",
"take_rate_value": "0.0297"
},
{
"allowed_down_payment_methods": [
"boleto",
"pix",
"credit_card"
],
"availability": "enabled",
"down_payment_interest_rate": null,
"down_payment_type": "percentage",
"down_payment_value": 0.1,
"expires_in": 12,
"fee_embedded_in_down_payment": false,
"financed_type": "bolepix",
"id": "9ddc411d-e99d-5e28-a855-6b32fbee0bb8",
"interest_rate": 0.028,
"max_amount_cents": 2147483647,
"max_down_payment_installments": 12,
"max_installments": 24,
"min_installment_amount_cents": 5000,
"payment_methods": [
"boleto",
"credit_card",
"pix"
],
"payment_type": "financed",
"registration_fee": 0.0197,
"take_rate_type": "percentage",
"take_rate_value": 0.0897
}
]